<button
          nbButton
          size="medium"
          status=""
          class="position-warning"
          [nbPopover]="'BUTTONS.PUB' | translate"
          nbPopoverPlacement="bottom"
        >
          <nb-icon icon="plus-circle-outline"></nb-icon>
        </button>
        <button
          nbButton
          size="medium"
          status="danger"
          class="position-warning"
          [nbPopover]="'BUTTONS.ATT' | translate"
          nbPopoverPlacement="bottom"
        >
          <nb-icon icon="alert-triangle-outline"></nb-icon>
        </button>
        <button
          nbButton
          status="danger"
          class="position-feedback"
          (click)="this.feedbackService.giveFeedback('Erhebung')"
        >
          {{ "PROJECTDETAILS.FEEDBACK" | translate }}
        </button>
          <!-- Set window size here -->
          <nb-card>
            <nb-card-body>
              <nb-stepper
                orientation="horizontal"
                linear="false"
                #stepperErhebung
              >
                <!-- Ab hier Vertikaler Stepper-->

                <!-- Unterschritt: Planungsphase -->
                <nb-step
                  label="Planungsphase"
                  [stepControl]="{
                    valid: this.stepperService.isStepCompleted(0, stepperErhebung),
                    reset: this.stepperService.resetStep(0, stepperErhebung)
                  }"
                >
                  <div class="my-stepper-wrapper">
                    <app-planungsphase></app-planungsphase>
                    <div>
                      <app-chat></app-chat>
                      <app-checkliste></app-checkliste>
                      <app-trainings
                        [currentStep]="['Planungsphase', 'stepperErhebung']"
                      ></app-trainings>
                      <app-invite></app-invite>
                      <button
                        nbButton
                        status="success"
                        [disabled]="this.stepperService.isStepCompleted(0, stepperErhebung)"
                        (click)="this.stepperService.completeStep(0, stepperErhebung)"
                      >
                        Mark as Completed
                      </button>
                      <button nbButton disabled nbStepperNext>prev</button>
                      <button nbButton nbStepperNext>next</button>
                    </div>
                  </div>
                </nb-step>

                <!-- Unterschritt: Vorbereiten -->
                <nb-step
                  label="Vorbereiten"
                  [stepControl]="{
                    valid: this.stepperService.isStepCompleted(1, stepperErhebung),
                    reset: this.stepperService.resetStep(1, stepperErhebung)
                  }"
                >
                  <div class="my-stepper-wrapper">
                    <app-vorbereiten></app-vorbereiten>
                    <div>
                      <app-chat></app-chat>
                      <app-checkliste></app-checkliste>
                      <app-trainings
                        [currentStep]="['Vorbereiten', 'stepperErhebung']"
                      ></app-trainings>
                      <app-invite></app-invite>
                      <button
                        nbButton
                        status="success"
                        [disabled]="this.stepperService.isStepCompleted(1, stepperErhebung)"
                        (click)="this.stepperService.completeStep(1, stepperErhebung)"
                      >
                        Mark as Completed
                      </button>
                      <button nbButton disabled nbStepperNext>prev</button>
                      <button nbButton nbStepperNext>next</button>
                    </div>
                  </div>
                </nb-step>

                <!-- Unterschritt: Umsetzen -->
                <nb-step
                  label="Umsetzen"
                  [stepControl]="{
                    valid: this.stepperService.isStepCompleted(2, stepperErhebung),
                    reset: this.stepperService.resetStep(2, stepperErhebung)
                  }"
                >
                  <div class="my-stepper-wrapper">
                    <app-umsetzen></app-umsetzen>
                    <div>
                      <app-chat></app-chat>
                      <app-checkliste></app-checkliste>
                      <app-trainings
                        [currentStep]="['Umsetzen', 'stepperErhebung']"
                      ></app-trainings>
                      <app-invite></app-invite>
                      <button
                        nbButton
                        status="success"
                        [disabled]="this.stepperService.isStepCompleted(2, stepperErhebung)"
                        (click)="this.stepperService.completeStep(2, stepperErhebung)"
                      >
                        Mark as Completed
                      </button>
                      <button nbButton nbStepperPrevious>prev</button>
                      <button nbButton nbStepperNext>next</button>
                    </div>
                  </div>
                </nb-step>

                <!-- Unterschritt: Durchführen2 -->
                <nb-step
                  label="Durchführen"
                  [stepControl]="{
                    valid: this.stepperService.isStepCompleted(3, stepperErhebung),
                    reset: this.stepperService.resetStep(3, stepperErhebung)
                  }"
                >
                  <div class="my-stepper-wrapper">
                    <app-durchfuehren2></app-durchfuehren2>

                    <div>
                      <app-chat></app-chat>
                      <app-checkliste></app-checkliste>
                      <app-trainings
                        [currentStep]="['Durchführen', 'stepperErhebung']"
                      ></app-trainings>
                      <app-invite></app-invite>
                      <button
                        nbButton
                        status="success"
                        [disabled]="this.stepperService.isStepCompleted(3, stepperErhebung)"
                        (click)="this.stepperService.completeStep(3, stepperErhebung)"
                      >
                        Mark as Completed
                      </button>
                      <button nbButton nbStepperPrevious>prev</button>
                      <button nbButton nbStepperNext>next</button>
                    </div>
                  </div>
                </nb-step>

                <!-- Unterschritt: Speichern2 -->
                <nb-step
                  label="Speichern"
                  [stepControl]="{
                    valid: this.stepperService.isStepCompleted(4, stepperErhebung),
                    reset: this.stepperService.resetStep(4, stepperErhebung)
                  }"
                >
                  <div class="my-stepper-wrapper">
                    <app-speichern2></app-speichern2>

                    <div>
                      <button nbButton ghost status="danger">
                        <nb-icon
                          icon="edit-outline"
                          routerLink="„updateProject“"
                        ></nb-icon>
                      </button>
                      <app-chat></app-chat>
                      <app-checkliste></app-checkliste>
                      <app-trainings
                        [currentStep]="['Speichern', 'stepperErhebung']"
                      ></app-trainings>
                      <app-invite></app-invite>
                      <button
                        nbButton
                        status="success"
                        [disabled]="this.stepperService.isStepCompleted(4, stepperErhebung)"
                        (click)="this.stepperService.completeStep(4, stepperErhebung)"
                      >
                        Mark as Completed
                      </button>
                      <button nbButton nbStepperPrevious>prev</button>
                      <button nbButton nbStepperNext>next</button>
                    </div>
                  </div>
                </nb-step>

                <!-- Unterschritt: Aufbereiten2 -->
                <nb-step
                  label="Aufbereiten"
                  [stepControl]="{
                    valid: this.stepperService.isStepCompleted(6, stepperErhebung),
                    reset: this.stepperService.resetStep(6, stepperErhebung)
                  }"
                >
                  <div class="my-stepper-wrapper">
                    <app-aufbereiten2></app-aufbereiten2>
                    <div>
                      <app-chat></app-chat>
                      <app-checkliste></app-checkliste>
                      <app-trainings
                        [currentStep]="['Aufbereiten', 'stepperErhebung']"
                      ></app-trainings>
                      <app-invite></app-invite>
                    </div>
                  </div>
                </nb-step>

                <!-- Unterschritt: Fremddaten2 -->
                <nb-step
                  label="Fremddaten"
                  [stepControl]="{
                    valid: this.stepperService.isStepCompleted(8, stepperErhebung),
                    reset: this.stepperService.resetStep(8, stepperErhebung)
                  }"
                >
                  <div class="my-stepper-wrapper">
                    <app-fremddaten2></app-fremddaten2>
                    <div>
                      <app-chat></app-chat>
                      <app-checkliste></app-checkliste>
                      <app-trainings
                        [currentStep]="['Fremddaten', 'stepperErhebung']"
                      ></app-trainings>
                      <app-invite></app-invite>
                      <button
                        nbButton
                        status="success"
                        [disabled]="this.stepperService.isStepCompleted(8, stepperErhebung)"
                        (click)="this.stepperService.completeStep(8, stepperErhebung)"
                      >
                        Mark as Completed
                      </button>
                      <button nbButton nbStepperPrevious>prev</button>
                      <button nbButton nbStepperNext>next</button>
                    </div>
                  </div>
                </nb-step>
              </nb-stepper>
            </nb-card-body>
          </nb-card>
